package com.fzm.mall.server.front.order.service;

import com.fzm.mall.server.front.order.model.DeliveryRefund;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.order.model.vo.ExpressVo;
import com.fzm.mall.server.front.order.model.vo.ReturnGoodsDetail;

import java.util.List;

/**
 * <p>
 * 提货退货单表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-26
 */
public interface IDeliveryRefundService extends IService<DeliveryRefund> {

    List<ExpressVo> getExpress(String searchKey);

    DeliveryRefund getByUidAndOrderDeliveryId(String uid, String orderDeliveryId);

    ReturnGoodsDetail getDetail(String orderDeliveryId);

    int revokeReturn(String uid, String orderDeliveryId);
}
